ros-humble-omni-base-description (2.9.0-1jammy) jammy; urgency=high

  * updated maintainer
  * Contributors: andreacapodacqua

 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-omni-base-description (2.8.0-1jammy) jammy; urgency=high

  * support cobra and camera model
  * Contributors: antoniobrandi

 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Thu, 23 Jan 2025 00:00:00 -0000

ros-humble-omni-base-description (2.7.0-1jammy) jammy; urgency=high



 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-omni-base-description (2.6.0-1jammy) jammy; urgency=high

  * Merge branch 'tpe/simplify-3d-model' into 'humble-devel'
    Simplify 3d meshes
    See merge request robots/omni_base_robot!54
  * Simplify 3d meshes
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Thu, 16 Jan 2025 00:00:00 -0000

ros-humble-omni-base-description (2.5.2-1jammy) jammy; urgency=high



 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Fri, 22 Nov 2024 00:00:00 -0000

ros-humble-omni-base-description (2.5.1-1jammy) jammy; urgency=high

  * Remove add_module_on from test
  * Add xacro tests
  * Contributors: Aina

 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-humble-omni-base-description (2.5.0-1jammy) jammy; urgency=high



 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-omni-base-description (2.4.2-1jammy) jammy; urgency=high

  * Merge branch 'tpe/fix_base_inertia' into 'humble-devel'
    Remove unwanter base inertia
    See merge request robots/omni_base_robot!46
  * Remove unwanter base inertia
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Andrea Capodacqua <andrea.capodacqua@pal-robotics.com>  Fri, 18 Oct 2024 00:00:00 -0000

ros-humble-omni-base-description (2.4.1-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 15 Oct 2024 00:00:00 -0000

ros-humble-omni-base-description (2.4.0-1jammy) jammy; urgency=high

  * Add slash to node names on parameter files
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 04 Sep 2024 00:00:00 -0000

ros-humble-omni-base-description (2.3.0-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-omni-base-description (2.2.0-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 08 Aug 2024 00:00:00 -0000

ros-humble-omni-base-description (2.1.0-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.19-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.18-1jammy) jammy; urgency=high

  * Merge branch 'dtk/disable-rgbd-test' into 'humble-devel'
    Disable realsense test
    See merge request robots/omni_base_robot!36
  * Disable realsense test
  * Contributors: David ter Kuile, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 01 Jul 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.17-1jammy) jammy; urgency=high

  * Merge branch 'dtk/add-on-module' into 'humble-devel'
    Change rgbd sensors to add-on-module
    See merge request robots/omni_base_robot!35
  * Change rgbd sensors to add-on-module
  * Contributors: David ter Kuile, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 28 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.16-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Dtk/move robot args
    See merge request robots/omni_base_robot!34
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.15-1jammy) jammy; urgency=high

  * Merge branch 'tpe/upate_std_and_launch_arg' into 'humble-devel'
    Standardize urdf + update lauch args
    See merge request robots/omni_base_robot!32
  * Restructure gazebo urdf
  * Update linters
  * Add public sim
  * Remove colons from urdf to avoid crash of ros2 control gazebo
  * Update launch arguments omni_base_description
  * Update URDF structure
  * Fix argument + tests
  * Standardize urdf + update lauch args
  * Contributors: David ter Kuile, davidterkuile, thomas.peyrucain

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.14-1jammy) jammy; urgency=high

  * Merge branch 'fix/robot_state_publisher' into 'humble-devel'
    fix robot state publisher launch file
    See merge request robots/omni_base_robot!33
  * specify robot description as string
  * fix robot state publisher launch file
  * Contributors: Aina, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 13 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.13-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 03 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.12-1jammy) jammy; urgency=high

  * Merge branch 'fix/aca/reduced-laser-noise' into 'humble-devel'
    reduced laser_noise
    See merge request robots/omni_base_robot!30
  * reduced laser_noise
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 03 Jun 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.11-1jammy) jammy; urgency=high

  * Merge branch 'feat/aca/realsense-ros2' into 'humble-devel'
    added realsense support
    See merge request robots/omni_base_robot!28
  * Revert "swap camera names"
    This reverts commit 10b11403fde04f52c57782ff8e30f3e92cd042cc.
  * swap camera names
  * removed simulation arg and fix use_nominal_extrinsic
  * added rgbd_sensors to module
  * added realsense support
  * Merge branch 'fix/is_public_sim_argument' into 'humble-devel'
    add missing argument is_public_sim
    See merge request robots/omni_base_robot!29
  * add missing argument is_public_sim
  * Contributors: Aina Irisarri, andreacapodacqua, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 21 May 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.10-1jammy) jammy; urgency=high

  * Merge branch 'fix/ros2-missing-deps' into 'humble-devel'
    adding missing deps
    See merge request robots/omni_base_robot!26
  * adding missing deps
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 18 Apr 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.9-1jammy) jammy; urgency=high

  * Merge branch 'omm/feat/planar_move_plugin' into 'humble-devel'
    Restored old plugin with is_public_sim checks
    See merge request robots/omni_base_robot!24
  * Removing hector plugin dep
  * Restored old gazebo plugin
  * Merge branch 'dtk/fix/update-module-numbers' into 'humble-devel'
    Dtk/fix/update module numbers
    See merge request robots/omni_base_robot!25
  * Change module number to 00
  * Merge branch 'dtk/fix/remove-pmb2-dependency' into 'humble-devel'
    Remove pmb2-description dependency
    See merge request robots/omni_base_robot!22
  * Remove dependency of pmb2
  * Remove pmb2-description dependency
  * Contributors: David ter Kuile, Noel Jimenez, Oscar, andreacapodacqua, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 11 Apr 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'feat/enable-dlo-sim' into 'humble-devel'
    enable odom_tf gazebo only in public sim and laser noise fix
    See merge request robots/omni_base_robot!20
  * restored default laser noise
  * enable odom_tf gazebo only in public sim and laser noise fix
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.7-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.6-1jammy) jammy; urgency=high

  * Merge branch 'dtk/feat/force-based-move-plugin' into 'humble-devel'
    Dtk/feat/force based move plugin
    See merge request robots/omni_base_robot!19
  * Create a pal_distro dependency to not break humble ci untill pr gets accepted
  * Add hector gazebo plugin dependency
  * Remove namespace for multirobot
  * Change to force_based_move from hector gazebo plugins
  * Remove friction of the wheels, similar to as in ROS1
  * Contributors: David ter Kuile, andreacapodacqua, davidterkuile

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 14 Mar 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.5-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 06 Mar 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.4-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 26 Feb 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.3-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-omni-base-description (2.0.2-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 15 Dec 2023 00:00:00 -0000

ros-humble-omni-base-description (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix/modules-ros2' into 'humble-devel'
    fix modules
    See merge request robots/omni_base_robot!14
  * moved omni modules from 00 to 10
  * fix modules
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 11 Dec 2023 00:00:00 -0000

ros-humble-omni-base-description (2.0.0-1jammy) jammy; urgency=high

  * Merge branch 'feat/module' into 'humble-devel'
    Feat/module
    See merge request robots/omni_base_robot!13
  * using correct name
  * split bringup module
  * Merge branch 'fix/use_sim_time' into 'humble-devel'
    Set use_sim_time false as default
    See merge request robots/omni_base_robot!12
  * Set use_sim_time false as default
  * update copyright
  * fix: planar move plugin
  * omni_base ROS 2
  * fix lidar mesh issues and using light base stl
  * fix: planar move plugin parameters
  * fix: replace force_based_move by planar_move
  * add imu_sensor_broadcaster fix robot_model
  * ROS 2 omni base robot
  * Add TODO to gazebo.urdf.xacro force based move plugin
  * enable control(er) and 2dnav
  * fix: Load gazebo_controller_manager_cfg.yaml and launch only omnibase stuff that is ready
  * omnibase description to ROS 2:
    + xacro
    + ros2_control
    + launch.py
  * omnibase description to colcon
  * Contributors: Noel Jimenez, YueErro, andreacapodacqua, josegarcia

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-humble-omni-base-description (0.0.10-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 27 Dec 2022 00:00:00 -0000

ros-humble-omni-base-description (0.0.9-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 24 Oct 2022 00:00:00 -0000

ros-humble-omni-base-description (0.0.8-1jammy) jammy; urgency=high

  * Merge branch 'fix/laser-fov' into 'ferrum-devel'
    fix laser fov for omni base
    See merge request robots/omni_base_robot!4
  * fix laser fov for omni base
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-humble-omni-base-description (0.0.7-1jammy) jammy; urgency=high

  * Merge branch 'fix_base_collision' into 'ferrum-devel'
    Fix collision boxes for the base
    See merge request robots/omni_base_robot!3
  * Update box dimensions
  * Change suspension_side_joints to fixed joint because it was causing issue in the odometry
  * Fix collision boxes for the base
  * Contributors: saikishor, thomaspeyrucain

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 10 Aug 2022 00:00:00 -0000

ros-humble-omni-base-description (0.0.6-1jammy) jammy; urgency=high

  * Merge branch 'hokuyo-support' into 'ferrum-devel'
    Fix typo in macro
    See merge request robots/omni_base_robot!2
  * Fix typo in macro
  * Contributors: David ter Kuile, antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 17 Jun 2022 00:00:00 -0000

ros-humble-omni-base-description (0.0.5-1jammy) jammy; urgency=high

  * Using the full mesh instead of the two boxes
  * added dependency for hector
  * removed dependency
  * Changed ros_planar_move for ros_force_based_move
  * Split the collision into 2 boxes for the sake of laser
  * Update the collision model of the base_link
  * Contributors: Sai Kishor Kothakota, antoniobrandi, saikishor

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-humble-omni-base-description (0.0.4-1jammy) jammy; urgency=high

  * typo
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 04 Nov 2021 00:00:00 -0000

ros-humble-omni-base-description (0.0.3-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 05 Oct 2021 00:00:00 -0000

ros-humble-omni-base-description (0.0.2-1jammy) jammy; urgency=high

  * removed useless dependency to omni_base_description_calibration
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 30 Sep 2021 00:00:00 -0000

ros-humble-omni-base-description (0.0.1-1jammy) jammy; urgency=high

  * preparing release changed version
  * preparing release
  * Fixing wheel naming convention using rear instead of back
  * Merge branch 'omni_base_sw' into 'master'
    Omni base sw
    See merge request robots/omni_base_robot!1
  * fix the min and max angle of the lasers
  * added the virtual base laser link
  * fix the laser model naming for front and rear sensors
  * added missing deg_to_rad xacro
  * update the new wheel macro in the main URDF
  * update the wheel urdf xacro with the updated info from solidworks
  * remove unused base_laser_link
  * added new wheel meshes
  * update the information of the front-right and rear-left laser sensor
  * added base docking link frame
  * added antenna's links and meshes
  * update the wheel separation, radius and width parameters
  * update the base_link mesh and the link information
  * Changed laser scan topic for the simulation navigation
  * on of the urdf and completed controller configuration
  * Contributors: Sai Kishor Kothakota, antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 30 Sep 2021 00:00:00 -0000


